Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.tags
Class PaginatorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.jaspersoft.jasperserver.war.tags.PaginatorTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PaginatorTag

extends javax.servlet.jsp.tagext.TagSupport

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CURRENT_PAGE_REQUEST_PARAMETER`
`static java.lang.String` | `PAGINATED_ITEMS_REQUEST_PARAMETER`
`static java.lang.String` | `PAGINATOR_INFO_REQUEST_PARAMETER`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PaginatorTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.util.List` | `getItems()`
`java.lang.String` | `getItemsPerPage()`
`java.lang.String` | `getPage()`
`java.lang.String` | `getPagesRange()`
`void` | `setItems(java.util.List items)`
`void` | `setItemsPerPage(java.lang.String itemsPerPage)`
`void` | `setPage(java.lang.String page)`
`void` | `setPagesRange(java.lang.String pagesRange)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_PAGE_REQUEST_PARAMETER

    public static final java.lang.String CURRENT_PAGE_REQUEST_PARAMETER

See Also:
  Constant Field Values

### PAGINATED_ITEMS_REQUEST_PARAMETER

    public static final java.lang.String PAGINATED_ITEMS_REQUEST_PARAMETER

See Also:
  Constant Field Values

### PAGINATOR_INFO_REQUEST_PARAMETER

    public static final java.lang.String PAGINATOR_INFO_REQUEST_PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### PaginatorTag

    public PaginatorTag()

Method Detail

### getItems

    public java.util.List getItems()

### setItems

    public void setItems(java.util.List items)

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### getItemsPerPage

    public java.lang.String getItemsPerPage()

### setItemsPerPage

    public void setItemsPerPage(java.lang.String itemsPerPage)

### getPagesRange

    public java.lang.String getPagesRange()

### setPagesRange

    public void setPagesRange(java.lang.String pagesRange)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.